Subject: Re: bug#12443: 24.2.50; Default values in the minibuffer prompt (fix inconsisntecy)

From: Juri Linkov <[email-masked]>
Date: Tue, 08 Sep 2020 21:32:44 +0300

>> Are you sure about this change in 1921d2176b?
>
> No, I found it kinda puzzling.
>
>>            (tab-name (alist-get 'name (nth (1- tab-index) tabs))))
>>       (list (read-from-minibuffer
>> -            "New name for tab (leave blank for automatic naming): "
>> +            (format-prompt "New name for tab" tab-name)
>>              nil nil nil nil tab-name)
>
> The "automatic naming" defaults to tab-name, which is
>
>   (alist-get 'name (nth (1- tab-index) tabs))
>
> In my tests that was never nil, so the "leave blank" didn't seem
> possible (and seemed misleading).  But I may well have missed something?
>
> That is, there is no real way to get "automatic naming" interactively?

Here is what I see when trying the old prompt:

  (read-from-minibuffer
    "New name for tab (leave blank for automatic naming): "
    nil nil nil nil "tab-name")

Typing RET returns the empty string "".